WordPress.org

Make WordPress Core

Changes between Initial Version and Version 1 of Ticket #35560, comment 10


Ignore:
Timestamp:
01/24/2018 07:12:40 AM (19 months ago)
Author:
dd32
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #35560, comment 10

    initial v1  
    33`wp-admin/setup-config.php` includes `wp-settings.php` which calls `require_wp_db()` which references these constants.
    44
    5 As of PHP 7.2 the warning reads:
    6 > Warning: Use of undefined constant DB_USER - assumed 'DB_USER' (this will throw an Error in a future version of PHP)
     5As of PHP 7.2 the warning reads: (wrapping for readability here only)
     6{{{
     7Warning: Use of undefined constant DB_USER - assumed 'DB_USER'
     8(this will throw an Error in a future version of PHP)
     9}}}
    710
    811According to http://php.net/manual/en/migration72.deprecated.php the next major PHP version will throw a fatal error instead of an undefined constant warning.